Bug 276641 - suggestion for ocaml emacs code
suggestion for ocaml emacs code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 12:31 EDT by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 06:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2007-09-04 12:31:37 EDT
Currently ocaml-emacs installs various .el files
in /usr/share/emacs/site-lisp.  However, it does not arrange
for these to be used when editing ocaml code in Emacs.
I have two suggestions here:

1. Make a subdirectory /usr/share/emacs/site-lisp/caml and
   put caml*.el there.  This will still work just as well
   (due to subdirs.el) and means less clutter in the top directory.

2. Take the 4 lines of emacs lisp code from
   /usr/share/doc/ocaml-emacs-3.09.3/README and put them
   into a new file, /usr/share/emacs/site-lisp/site-start.d/caml.el
   This way caml mode will be used automatically when appropriate.
Comment 1 Gérard Milmeister 2007-09-04 13:32:13 EDT
I will look at it, whenever a new build for ocaml is due.
Comment 2 Richard W.M. Jones 2008-02-21 07:40:14 EST
Tuareg-mode is an altogether better OCaml emacs mode.  It's in Fedora >= 8
(as emacs-tuareg or xemacs-tuareg) and complies with the Fedora emacs
packaging guidelines (http://fedoraproject.org/wiki/Packaging/Emacs).

See bug 433443.
Comment 3 Gérard Milmeister 2008-02-21 08:19:58 EST
Should we then simply remove the ocaml-emacs package?
Comment 4 Richard W.M. Jones 2008-02-21 09:12:07 EST
It's a strange situation because INRIA are effectively maintaining
two emacs modes for OCaml.  That seems to indicate that some people
must prefer the ocaml-emacs mode, so probably we should leave it.
Comment 5 Bug Zapper 2008-04-04 03:33:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Richard W.M. Jones 2008-04-04 06:18:27 EDT
People can easily configure their .emacs to select their
preferred emacs mode for OCaml.

Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.